org.apache.ignite.ml.recommendation.util

## Class RecommendationBinaryDatasetDataBuilder

- java.lang.Object
- - org.apache.ignite.ml.recommendation.util.RecommendationBinaryDatasetDataBuilder

- All Implemented Interfaces:
    Serializable, PartitionDataBuilder<Object,BinaryObject,EmptyContext,RecommendationDatasetData<Serializable,Serializable>>

      public class RecommendationBinaryDatasetDataBuilder
      extends Object
      implements PartitionDataBuilder<Object,BinaryObject,EmptyContext,RecommendationDatasetData<Serializable,Serializable>>

  Recommendation binary dataset data builder.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecommendationBinaryDatasetDataBuilder(String objFieldName, String subjFieldName, String ratingFieldName)` Constructs a new instance of recommendation binary dataset data builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecommendationDatasetData<Serializable,Serializable>` | `build(LearningEnvironment env, Iterator<UpstreamEntry<Object,BinaryObject>> upstreamData, long upstreamDataSize, EmptyContext ctx)` Builds a new partition `data` from a partition `upstream` data and partition `context`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.dataset.PartitionDataBuilder

      `andThen, build`

- - ### Constructor Detail

    - #### RecommendationBinaryDatasetDataBuilder

          public RecommendationBinaryDatasetDataBuilder(String objFieldName,
                                                        String subjFieldName,
                                                        String ratingFieldName)

      Constructs a new instance of recommendation binary dataset data builder.
      Parameters:
        `objFieldName` - Object field name.
        `subjFieldName` - Subject field name.
        `ratingFieldName` - Rating field name.

  - ### Method Detail

    - #### build

          public RecommendationDatasetData<Serializable,Serializable> build(LearningEnvironment env,
                                                                            Iterator<UpstreamEntry<Object,BinaryObject>> upstreamData,
                                                                            long upstreamDataSize,
                                                                            EmptyContext ctx)

      Builds a new partition `data` from a partition `upstream` data and partition `context`. Important: there is no guarantee that there will be no more than one UpstreamEntry with given key, UpstreamEntry should be thought rather as a container saving all data from upstream, but omitting uniqueness constraint. This constraint is omitted to allow upstream data transformers in `DatasetBuilder` replicating entries. For example it can be useful for bootstrapping.
      Specified by:
        `build` in interface `PartitionDataBuilder<Object,BinaryObject,EmptyContext,RecommendationDatasetData<Serializable,Serializable>>`
      Parameters:
        `env` - Learning environment.
        `upstreamData` - Partition `upstream` data.
        `upstreamDataSize` - Partition `upstream` data size.
        `ctx` - Partition `context`.
      Returns:
        Partition `data`.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023